View Issue Details

IDProjectCategoryView StatusLast Update
0017561MediaMonkey 5Generalpublic2021-05-12 21:45
Reporterdrakinite Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0.1Fixed in Version5.0.1 
Summary0017561: MM shows up twice in the taskbar when launching
DescriptionThe splash screen shows up in the taskbar, which makes MediaMonkey appear twice when loading.

Ideally, the splash screen should not show up in the taskbar. Microsoft Office apps' splash screens do not appear in the taskbar, so it wouldn't be a precedent.
Before 0017168, the splash screen that showed during app reload did not appear in the taskbar, but it always has during app load.
TagsNo tags attached.
Fixed in build2403

Relationships

related to 0017814 closedpetr Startup issues when the main window was maximized before last close 

Activities

Ludek

2021-04-27 08:29

developer   ~0062925

I am not seeing this, is this still an issue ?

drakinite

2021-04-27 15:13

developer   ~0062930

Last edited: 2021-04-27 15:14

View 2 revisions

I do still see it on 2338, yes. The splash screen has its own item in the taskbar, so when the main window begins to load, there are two taskbar items.
image.png (21,884 bytes)   
image.png (21,884 bytes)   

Ludek

2021-04-29 13:48

developer   ~0062986

I am not seeing this, but maybe Petr will see something, this seems a window management issue, so assigned to Petr

Ludek

2021-05-10 10:13

developer   ~0063115

OK, this issue seems to happen when window is started in the maximized state as found in 0017814.

Can you confirm that this issue does not happen when window was not maximized before last close?
If that's the case then fix of 0017814 will resolve also this issue.

drakinite

2021-05-10 21:14

developer   ~0063127

Last edited: 2021-05-10 21:14

View 2 revisions

Can confirm - Restarting MM when not fullscreen does not reproduce the issue.

Ludek

2021-05-10 21:31

developer   ~0063128

Ok, so should be fixed by the same fix as 0017814

drakinite

2021-05-12 21:45

developer   ~0063158

Verified 2404